com.google.web.bindery.requestfactory.shared

## Interface LoggingRequest

All Superinterfaces:
  RequestContext

    public interface LoggingRequest
    extends RequestContext

"API Generated" request selector interface implemented by objects that give client access to the methods of `Logging`.

### Method Summary

All Methods Instance Methods Abstract Methods
`Request<java.lang.Void>` `logMessage(java.lang.String serializedLogRecordString)` Log a message on the server.

### Methods inherited from interface com.google.web.bindery.requestfactory.shared.RequestContext

`append, create, edit, find, fire, fire, getRequestFactory, isChanged`

### Method Detail

#### logMessage

    Request<java.lang.Void> logMessage(java.lang.String serializedLogRecordString)

Log a message on the server.

Parameters:
  `serializedLogRecordString` - a json serialized LogRecord, as provided by `JsonLogRecordClientUtil.logRecordAsJsonObject(LogRecord)`
Returns:
  a Void `Request`